## GtkHSeparator GtkHSeparator — A horizontal separator |

## Functions

GtkWidget * | gtk_hseparator_new ()

## Types and Values

struct | GtkHSeparator

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GtkObject
                ╰── GtkWidget
                    ╰── GtkSeparator
                        ╰── GtkHSeparator

## Implemented Interfaces

GtkHSeparator implements AtkImplementorIface, GtkBuildable and GtkOrientable.

## Includes

    #include <gtk/gtk.h>

## Description

The GtkHSeparator widget is a horizontal separator, used to group the widgets within a window. It displays a horizontal line with a shadow to make it appear sunken into the interface.

The GtkHSeparator widget is not used as a separator within menus. To create a separator in a menu create an empty GtkSeparatorMenuItem widget using `gtk_separator_menu_item_new()` and add it to the menu with `gtk_menu_shell_append()`.

## Functions

### gtk_hseparator_new ()

    GtkWidget *
    gtk_hseparator_new (void);

Creates a new GtkHSeparator.

#### Returns

a new GtkHSeparator.

## Types and Values

### struct GtkHSeparator

    struct GtkHSeparator;

The GtkHSeparator struct contains private data only, and should be accessed using the functions below.

## See Also

GtkVSeparator | a vertical separator.